## cherrytree 0.99.49

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(cherrytree)

file(READ "debian/changelog" CHANGELOG)
string(REGEX MATCH "cherrytree +\\(([0-9]+)\\.([0-9]+)\\.([0-9]+)[-+]" _ ${CHANGELOG})
set(CT_VERSION ${CMAKE_MATCH_1}.${CMAKE_MATCH_2}.${CMAKE_MATCH_3})
set(CT_VERSION_WINDOWS ${CMAKE_MATCH_1},${CMAKE_MATCH_2},${CMAKE_MATCH_3},0)
message(STATUS "CT_VERSION = ${CT_VERSION}")

# APPLE has issues with installing in /usr/bin because of SIP
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND APPLE)
  set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
elseif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif()

if(NOT PYTHON_EXEC)
  set(PYTHON_EXEC "python3")
endif(NOT PYTHON_EXEC)

if(SNAP_OPT_PRE_CMAKE_INSTALL_PREFIX)
  set(OPT_PRE_CMAKE_INSTALL_PREFIX "${SNAP_OPT_PRE_CMAKE_INSTALL_PREFIX}")
  add_compile_options(-D_SNAP_BUILD)
endif()

option(USE_NLS "Add locales support" ON)
option(USE_SHARED_FMT_SPDLOG "Use shared fmt and spdlog (not those bundled)" ON)

# used to install locale, packagers might overwrite this
if(USE_NLS)
  if(NOT PACKAGE_LOCALE_DIR)
    set(PACKAGE_LOCALE_DIR "share/locale")
  endif(NOT PACKAGE_LOCALE_DIR)
endif()

# used to install data, packagers might overwrite this
if(NOT SHARE_INSTALL)
  set(SHARE_INSTALL "share" CACHE STRING "Data file install path. Must be a relative path (from CMAKE_INSTALL_PREFIX), with no trailing slash.")
endif(NOT SHARE_INSTALL)
set(CHERRYTREE_SHARE_INSTALL "${SHARE_INSTALL}/cherrytree")

set(CPACK_PACKAGE_NAME "cherrytree")
set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_VERSION ${CT_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
set(CPACK_PACKAGE_CHECKSUM "SHA256")
set(CPACK_PACKAGE_EXECUTABLES ${CPACK_PACKAGE_CONTACT})
set(CPACK_CREATE_DESKTOP_LINKS ${CPACK_PACKAGE_CONTACT})
set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
set(CPACK_STRIP_FILES TRUE)

if(USE_SHARED_FMT_SPDLOG)
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0, libfribidi0, libspdlog1")
else()
  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-1, libcurl4, libuchardet0, libfribidi0")
endif()
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.net/cherrytree/")
#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)

include(CPack)

set(CMAKE_CXX_STANDARD 17)

if(USE_SHARED_FMT_SPDLOG)
  add_definitions(-DSHARED_FMT_SPDLOG)
  add_definitions(-DSPDLOG_FMT_EXTERNAL)
endif()
add_definitions(-DSPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_DEBUG)
if(USE_NLS)
  add_definitions(-DHAVE_NLS)
endif()

# temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  add_compile_options(-Wno-cpp)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options("-Wno-#warnings")
  add_compile_options(-Wthread-safety)
endif()

if(APPLE)
  link_directories(/usr/local/lib /usr/local/opt/gettext/lib)
  include_directories(/usr/local/opt/gettext/include)
  set(CMAKE_MACOSX_RPATH 1)
  set(ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig:/usr/local/opt/libxml++/lib/pkgconfig")
  # to fix libxml++2.6 compilation
  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
endif()

add_compile_options(-Wno-deprecated -Wno-deprecated-declarations)
if(CMAKE_BUILD_TYPE STREQUAL "")
  add_compile_options(-O2)
elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_compile_options(-O0 -g)
endif()

# Create the configuration files config.h in the root dir
configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h)

option(BUILD_TESTING "Build tests" ON)
# the ppa build server must not build google test because that would add those files to the debian package
if(BUILD_TESTING AND NOT DEFINED ENV{DEB_BUILD_OPTIONS})
  option(AUTO_RUN_TESTING "Auto run tests" ON)
  # I haven't found yet a way to run the unit tests with necessary xvfb or xvfb-run in the flatpak build
  if(AUTO_RUN_TESTING AND NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR})
    message("Build tests ON, auto run ON")
  else()
    message("Build tests ON, auto run OFF")
  endif()
else()
  message("Build tests OFF")
endif()

include(FindPkgConfig)
pkg_check_modules(GTKMM gtkmm-3.0 REQUIRED)
pkg_check_modules(GTKSVMM gtksourceviewmm-3.0 REQUIRED)
pkg_check_modules(GLIBMM glibmm-2.4 REQUIRED)
pkg_check_modules(PANGOMM pangomm-1.4 REQUIRED)
pkg_check_modules(GSPELL gspell-1 REQUIRED)
pkg_check_modules(LIBXML libxml++-2.6 REQUIRED)
pkg_check_modules(SQLITE sqlite3 REQUIRED)
pkg_check_modules(CURL libcurl REQUIRED)
pkg_check_modules(UCHARDET uchardet REQUIRED)
pkg_check_modules(FRIBIDI fribidi REQUIRED)
if(USE_SHARED_FMT_SPDLOG)
  message("Using fmt, spdlog from: SHARED LIB")
  pkg_check_modules(FMT fmt>=6.0 REQUIRED)
  pkg_check_modules(SPDLOG spdlog>=1.5 REQUIRED)
else()
  message("Using fmt, spdlog from: BUNDLED SRC")
  add_subdirectory(src/spdlog)
endif()

add_subdirectory(src/7za)

include(FindPackageHandleStandardArgs)

# For both src and tests targets
include_directories(
  SYSTEM ${GTKMM_INCLUDE_DIRS}
  SYSTEM ${GTKSVMM_INCLUDE_DIRS}
  SYSTEM ${GLIBMM_INCLUDE_DIRS}
  SYSTEM ${PANGOMM_INCLUDE_DIRS}
  SYSTEM ${GSPELL_INCLUDE_DIRS}
  SYSTEM ${LIBXML_INCLUDE_DIRS}
  SYSTEM ${SQLITE_INCLUDE_DIRS}
  SYSTEM ${CURL_INCLUDE_DIRS}
  SYSTEM ${UCHARDET_INCLUDE_DIRS}
  SYSTEM ${FRIBIDI_INCLUDE_DIRS}
  . # config.h
)
if(USE_SHARED_FMT_SPDLOG)
  include_directories(
    SYSTEM ${FMT_INCLUDE_DIRS}
    SYSTEM ${SPDLOG_INCLUDE_DIRS}
  )
else()
  include_directories(
    src/spdlog/include
  )
endif()

add_subdirectory(src/ct)

if(BUILD_TESTING AND NOT DEFINED ENV{DEB_BUILD_OPTIONS})
  enable_testing()
  include(GoogleTest)
  add_subdirectory(tests)
endif()

# rebuild man pages
set(MANFILE_FULL "${CMAKE_SOURCE_DIR}/data/cherrytree.1")
set(MANFILE_FULL_GZ "${MANFILE_FULL}.gz")
add_custom_command(
  OUTPUT ${MANFILE_FULL_GZ}
  COMMAND gzip -f -k --best -n "${MANFILE_FULL}"
)
add_custom_target(man_pages ALL DEPENDS ${MANFILE_FULL_GZ})

# rebuild languages binaries
if(USE_NLS)
  execute_process(
    COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/po/i18n_po_to_mo.py
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
endif()

# rebuild metainfo xml
execute_process(
  COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/metainfo_xml_write.py
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# set icon on macos
if(APPLE)
  install(CODE "execute_process(COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/set_icon_macos.py ${CMAKE_SOURCE_DIR}/icons/cherrytree.ico ${CMAKE_INSTALL_PREFIX}/bin/cherrytree)")
endif(APPLE)

# install other files
if(${CMAKE_SYSTEM_NAME} MATCHES Linux|.*BSD|DragonFly|Darwin)
  if(NOT APPLE)
    # share data
    install(FILES "${CMAKE_SOURCE_DIR}/data/cherrytree.desktop"
            DESTINATION "${SHARE_INSTALL}/applications")
    install(FILES "${CMAKE_SOURCE_DIR}/icons/cherrytree.svg"
            DESTINATION "${SHARE_INSTALL}/icons/hicolor/scalable/apps")
    install(FILES "${MANFILE_FULL_GZ}"
            DESTINATION "${SHARE_INSTALL}/man/man1")
    install(FILES
            "${CMAKE_SOURCE_DIR}/data/cherrytree.mime"
            "${CMAKE_SOURCE_DIR}/data/cherrytree.keys"
            DESTINATION "${SHARE_INSTALL}/mime-info")
    install(FILES "${CMAKE_SOURCE_DIR}/data/net.giuspen.cherrytree.metainfo.xml"
            DESTINATION "${SHARE_INSTALL}/metainfo")
  endif(NOT APPLE)

  # share/cherrytree language-specs
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/language-specs
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree styles
  install(DIRECTORY ${CMAKE_SOURCE_DIR}/styles
          DESTINATION ${CHERRYTREE_SHARE_INSTALL})
  # share/cherrytree data
  install(FILES
          "${CMAKE_SOURCE_DIR}/data/script3.js"
          "${CMAKE_SOURCE_DIR}/data/styles4.css"
          "${CMAKE_SOURCE_DIR}/data/user-style.xml"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/data")
  # share/cherrytree icons
  install(FILES
          "${CMAKE_SOURCE_DIR}/icons/ct_home.svg"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/icons")
  install(DIRECTORY "${CMAKE_SOURCE_DIR}/icons/Breeze_Dark_icons"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/icons")
  install(DIRECTORY "${CMAKE_SOURCE_DIR}/icons/Breeze_Light_icons"
          DESTINATION "${CHERRYTREE_SHARE_INSTALL}/icons")

  # locale data
  if(USE_NLS)
    file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
    foreach(child ${children})
      if(IS_DIRECTORY ${child})
        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
      endif()
    endforeach()
  endif()
endif()

# uninstall target
# https://gitlab.kitware.com/cmake/community/-/wikis/FAQ#can-i-do-make-uninstall-with-cmake
if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

  add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== debian/changelog ===
cherrytree (0.99.49-2) focal; urgency=low

  * added support for accent insensitive search - when enabled, for example, any of 'àáâãäåāăąạ' is equivalent to the ascii 'a' (#1981)
  * fixed export to HTML crash - regression introduced with support for RTL languages (#2109)
  * fixed crash on print/export to pdf of a sequence of characters without spaces longer that the page width, such as a very long URL (#2045)
  * fixed bulleted list unindent (Shift+Tab) crash (#2103)
  * fixed tooltip and cursor not reset after hovering link and then navigating to non rich text node
  * added keyboard shortcuts to the toolbar button's tooltips (#2106)
  * changed non configurable keyboard shortcuts for codebox width and table column width increase/decrease to use parenthesis open instead of backslash (#2113)
  * fixed wrongly entering column edit mode when using keyboard shortcuts with <Ctrl><Alt> such as insert codebox (#2075)
  * allow to disable the dialog asking for confirmation before executing the code in codeboxes and code nodes
  * fixed crash on double exit from systray icon right click menu (#2114)
  * added command line option '--anchor AnchorName' that in addition to existing '--node NodeName' allows to open a document focusing an anchor in a node
  * added syntax highlighting support for GDScript


 -- Giuseppe Penone <giuspen@gmail.com>  Sun, 11 Sep 2022 18:36:59 +0100

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Giuseppe Penone <giuspen@gmail.com>
Build-Depends:
 debhelper (>= 9),
 desktop-file-utils,
 gettext,
 cmake,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libxml++2.6-dev,
 libsqlite3-dev,
 libgspell-1-dev,
 libcurl4-openssl-dev,
 libuchardet-dev,
 libfribidi-dev,
 libfmt-dev,
 libspdlog-dev
Standards-Version: 3.9.5
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://github.com/giuspen/cherrytree.git
Vcs-Browser: https://github.com/giuspen/cherrytree

Package: cherrytree
Architecture: any
Depends:
 libgtkmm-3.0-1v5,
 libgtksourceviewmm-3.0-0v5,
 libxml++2.6-2v5,
 libsqlite3-0,
 libgspell-1-2,
 libcurl4,
 libuchardet0,
 libfribidi0,
 libspdlog1,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 texlive-latex-base,
 dvipng,
 xterm
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

## cherrytree 0.99.55+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,12 @@
 
 option(USE_NLS "Add locales support" ON)
 option(USE_SHARED_FMT_SPDLOG "Use shared fmt and spdlog (not those bundled)" ON)
+option(USE_SHARED_GTEST_GMOCK "Use shared gtest and gmock (not those bundled)" OFF)
+if(WIN32)
+  option(USE_VTE "Add virtual terminal support" OFF)
+else()
+  option(USE_VTE "Add virtual terminal support" ON)
+endif()
 
 # used to install locale, packagers might overwrite this
 if(USE_NLS)
@@ -44,8 +50,9 @@
 set(CPACK_PACKAGE_CONTACT "Giuseppe Penone <giuspen@gmail.com>")
 set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
 set(CPACK_PACKAGE_VERSION ${CT_VERSION})
-set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
+set(CPACK_PACKAGE_DESCRIPTION "A hierarchical note taking application, featuring rich text and syntax highlighting, storing data in a single xml or sqlite file.
+   Cherrytree is not just about having a place to write notes and to-do items and keeping them organized, it's also a place you can store links, pictures, tables, even entire documents. It can be your one program for all the miscellaneous information you have and want to keep. All those little bits of information you have scattered around your hard drive can be conveniently placed into a Cherrytree document where you can easily find it.")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
 set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 set(CPACK_PACKAGE_CHECKSUM "SHA256")
@@ -54,14 +61,23 @@
 set(CPACK_PACKAGE_INSTALL_DIRECTORY ${CPACK_PACKAGE_CONTACT})
 set(CPACK_STRIP_FILES TRUE)
 
-if(USE_SHARED_FMT_SPDLOG)
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-2, libcurl4, libuchardet0, libfribidi0, libspdlog1")
-else()
-  set(CPACK_DEBIAN_PACKAGE_DEPENDS "libgtkmm-3.0-1v5, libgtksourceviewmm-3.0-0v5, libxml++2.6-2v5, libsqlite3-0, libgspell-1-1, libcurl4, libuchardet0, libfribidi0")
+set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "texlive-latex-base, dvipng")
+if(EXISTS "/etc/fedora-release")
+  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl-minimal, uchardet, fmt, spdlog")
+  if(USE_VTE)
+    set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, vte291")
+  endif()
+else()
+  set(CPACK_RPM_PACKAGE_REQUIRES "libgtkmm-3_0-1, libgtksourceviewmm-3_0-0, libgspell-1-2, libxml++-2_6-2, libsqlite3-0, libcurl4, libuchardet0, libfmt8, libspdlog1")
+  if(USE_VTE)
+    set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, libvte-2_91-0")
+  endif()
 endif()
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://www.giuspen.net/cherrytree/")
-#set(CPACK_DEBIAN_PACKAGE_SECTION "graphics") which one?
-set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
+set(CPACK_RPM_PACKAGE_URL "https://www.giuspen.net/cherrytree/")
+set(CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/debian/postinst")
+set(CPACK_RPM_POST_INSTALL_SCRIPT_FILE "${CMAKE_CURRENT_SOURCE_DIR}/debian/postinst")
 
 include(CPack)
 
@@ -74,6 +90,9 @@
 add_definitions(-DSPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_DEBUG)
 if(USE_NLS)
   add_definitions(-DHAVE_NLS)
+endif()
+if(USE_VTE)
+  add_definitions(-DHAVE_VTE)
 endif()
 
 # temporarily disable these warnings: Only <gtksourceview/gtksource.h> can be included directly.
@@ -82,6 +101,7 @@
 elseif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_compile_options("-Wno-#warnings")
   add_compile_options(-Wthread-safety)
+  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
 endif()
 
 if(APPLE)
@@ -135,6 +155,9 @@
 else()
   message("Using fmt, spdlog from: BUNDLED SRC")
   add_subdirectory(src/spdlog)
+endif()
+if(USE_VTE)
+  pkg_check_modules(VTE vte-2.91 REQUIRED)
 endif()
 
 add_subdirectory(src/7za)
@@ -163,6 +186,11 @@
 else()
   include_directories(
     src/spdlog/include
+  )
+endif()
+if(USE_VTE)
+  include_directories(
+    SYSTEM ${VTE_INCLUDE_DIRS}
   )
 endif()

=== src/ct/CMakeLists.txt ===

add_compile_options(-Wall -Wextra -Wunreachable-code -Wuninitialized)

# Generating icons
execute_process(
  COMMAND ${PYTHON_EXEC} ${CMAKE_SOURCE_DIR}/scripts/gresource_to_c.py
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# Generating rc file (with icon) for windows
if(MINGW)
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o
                     COMMAND windres.exe -I${CMAKE_SOURCE_DIR}/icons 
                                         -i${CMAKE_SOURCE_DIR}/data/windows.rc
                                         -o ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o )
  set(CHERRY_EXE_RC ${CMAKE_CURRENT_BINARY_DIR}/cherrytree_rc.o)
endif(MINGW)

set(CT_SHARED_FILES
  ct_actions_edit.cc
  ct_actions_export.cc
  ct_actions_file.cc
  ct_actions_find.cc
  ct_actions_format.cc
  ct_actions_others.cc
  ct_actions_import.cc
  ct_actions_tree.cc
  ct_actions_view.cc
  ct_actions_help.cc
  ct_app.cc
  ct_clipboard.cc
  ct_codebox.cc
  ct_config.cc
  ct_dialogs.cc
  ct_dialogs_anch_widg.cc
  ct_dialogs_cmd_palette.cc
  ct_dialogs_find.cc
  ct_dialogs_gen_purp.cc
  ct_dialogs_link.cc
  ct_dialogs_tree.cc
  ct_export2html.cc
  ct_export2pdf.cc
  ct_export2txt.cc
  ct_image.cc
  ct_imports.cc
  ct_list.cc
  ct_main_win.cc
  ct_main_win_buffer.cc
  ct_main_win_events.cc
  ct_main_win_file.cc
  ct_main_win_vte.cc
  ct_menu.cc
  ct_menu_actions.cc
  ct_menu_ui.cc
  ct_misc_utils.cc
  ct_p7za_iface.cc
  ct_pref_dlg.cc
  ct_pref_dlg_kb_shortcuts.cc
  ct_pref_dlg_misc.cc
  ct_pref_dlg_plain_text_n_code.cc
  ct_pref_dlg_rich_text.cc
  ct_pref_dlg_special_chars.cc
  ct_pref_dlg_text_n_code.cc
  ct_pref_dlg_theme.cc
  ct_pref_dlg_toolbar.cc
  ct_pref_dlg_tree.cc
  ct_state_machine.cc
  ct_storage_control.cc
  ct_storage_sqlite.cc
  ct_storage_xml.cc
  ct_table.cc
  ct_table_light.cc
  ct_treestore.cc
  ct_widgets.cc
  ct_text_view.cc
  ct_parser_text.cc
  ct_parser_md.cc
  ct_parser_html.cc
  ct_parser.cc
  ct_filesystem.cc
  ct_column_edit.cc
)

add_library(cherrytree_shared STATIC ${CT_SHARED_FILES})
target_link_libraries(cherrytree_shared
  ${GTKMM_LIBRARIES}
  ${GTKSVMM_LIBRARIES}
  ${GLIBMM_LIBRARIES}
  ${PANGOMM_LIBRARIES}
  ${GSPELL_LIBRARIES}
  ${LIBXML_LIBRARIES}
  ${SQLITE_LIBRARIES}
  ${CURL_LIBRARIES}
  ${UCHARDET_LIBRARIES}
  ${FRIBIDI_LIBRARIES}
  pthread
  7za_static
)
if(USE_SHARED_FMT_SPDLOG)
  target_link_libraries(cherrytree_shared
    ${FMT_LIBRARIES}
    ${SPDLOG_LIBRARIES}
  )
else()
  target_link_libraries(cherrytree_shared
    spdlog::spdlog
  )
endif()
if(USE_VTE)
  target_link_libraries(cherrytree_shared
    ${VTE_LIBRARIES}
  )
endif()

add_executable(cherrytree ct_main.cc icons.gresource.cc ${CHERRY_EXE_RC})
target_link_libraries(cherrytree cherrytree_shared)

if(APPLE)
  target_link_libraries(cherrytree "-framework Foundation -framework AppKit")
elseif(WIN32)
  target_link_libraries(cherrytree "-mwindows")
endif()

set_target_properties(cherrytree PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}")

# install cherrytree
install(TARGETS cherrytree RUNTIME DESTINATION bin)

=== debian/changelog ===
cherrytree (0.99.55+dfsg-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2023 18:21:31 -0800

cherrytree (0.99.55+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 0.99.55+dfsg

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2023 18:12:36 -0800

cherrytree (0.99.53+dfsg-1) unstable; urgency=medium

  * New upstream version 0.99.53+dfsg
  * Refresh patches.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Jan 2023 03:12:12 -0500

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               desktop-file-utils,
               gettext,
               libcpputest-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libfmt-dev (>= 6.0),
               libfribidi-dev,
               libgspell-1-dev,
               libgtkmm-3.0-dev,
               libgtksourceviewmm-3.0-dev,
               libspdlog-dev (>= 1.5),
               libsqlite3-dev,
               libuchardet-dev,
               libvte-2.91-dev,
               libxml++2.6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.5.0
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends: desktop-file-utils, ${misc:Depends}, ${shlibs:Depends}
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

## cherrytree 0.99.56

=== debian/changelog ===
cherrytree (0.99.56-2) focal; urgency=low

  * implemented new data storage type: multiple files in hierarchical folder structure (#2123, #1823)
  * the backups for the new multiple files data storage do not contain all the tree but only what has changed
  * all backup files (or folders for the brand new multifile data storage) are now starting with a dot (.name~, .name~~, ..)
  * fixed crash sorting rows of table lightweight interface (#2253)
  * fix export to html of lists (#2276, #2286)
  * fixed recent documents corruption when file is deleted/missing (#2277)
  * fixed on Windows zooming the font reverts the font family to Sans (#2257)
  * click on line number to behave as triple click (select line, #1363)
  * column edit (selection with Ctrl+Alt held down) added clipboard support (#2232)
  * added 37 new stock icons available to be chosen as tree node icons
  * remember last selected custom icon in node properties same as last selected colour (#2185)
  * implemented import nodes from indented list (#1551, #2258)
  * added support for executing java code in code nodes and codeboxes
  * added detection of exclusions from the search hit in the current search and message to the user / how to disable exclusions
  * fixed in flatpak and appimage languages not available (#2270)
  * fixed latex box issue with portable version of cherrytree on windows (#2294)
  * added tooltip with node name when hovering node (#2295)
  * incomplete languages: ar, bg, el, fi, hi_IN, hr, lt, zh_CN


 -- Giuseppe Penone <giuspen@gmail.com>  Thu, 22 Jun 2023 20:08:13 +0100

## cherrytree 1.0.0%2Bdfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -274,7 +274,11 @@
     file(GLOB children "${CMAKE_SOURCE_DIR}/po/*")
     foreach(child ${children})
       if(IS_DIRECTORY ${child})
-        install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
+        if(NOT DEFINED ENV{FLATPAK_BUILDER_BUILDDIR})
+          install(DIRECTORY ${child} DESTINATION "${PACKAGE_LOCALE_DIR}")
+        else()
+          install(DIRECTORY ${child} DESTINATION "${CHERRYTREE_SHARE_INSTALL}/locale")
+        endif()
       endif()
     endforeach()
   endif()

=== debian/changelog ===
cherrytree (1.0.0+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0+dfsg:
    - fixed crash when opening node properties (#2304, #2313)
    - fixed blurry output when exporting LaTeX to pdf (#2308)
    - added configurability of the blinking of the cursor in the preferences
      dialog (#2298)
    - added support for executing 'rust' and 'go' code in code nodes and
      codeboxes
    - added 24 new stock icons available to be chosen as tree node icons
    - added menu items under top menu 'help' to link to website, source code
      and bug tracker
    - added new language Persian (work of Majid Abri)
    - incomplete languages: ar, bg, el, es, fi, hi_IN, hr, hu, ja, ko, lt, pt,
      pt_BR, ro, sl, zh_TW

  * Refresh remove-Check-New-Version.patch

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Jul 2023 17:59:20 -0700

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                desktop-file-utils,
                gettext,
                libcpputest-dev,
                libcurl4-openssl-dev | libcurl-dev,
-               libfmt-dev (>= 6.0),
                libfribidi-dev,
                libgspell-1-dev,
                libgtkmm-3.0-dev,
                libgtksourceviewmm-3.0-dev,
-               libspdlog-dev (>= 1.5),
+               libspdlog-dev,
                libsqlite3-dev,
                libuchardet-dev,
                libvte-2.91-dev,

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_clean:
	rm -rf build
	find po -mindepth 1 -maxdepth 1 -type d | xargs --no-run-if-empty rm -rf
	dh_clean

override_dh_auto_test:
	xvfb-run dh_auto_test

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## cherrytree 1.0.0+dfsg

=== debian/changelog ===
cherrytree (1.0.0+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream version 1.0.0+dfsg:
    - fixed crash when opening node properties (#2304, #2313)
    - fixed blurry output when exporting LaTeX to pdf (#2308)
    - added configurability of the blinking of the cursor in the preferences
      dialog (#2298)
    - added support for executing 'rust' and 'go' code in code nodes and
      codeboxes
    - added 24 new stock icons available to be chosen as tree node icons
    - added menu items under top menu 'help' to link to website, source code
      and bug tracker
    - added new language Persian (work of Majid Abri)
    - incomplete languages: ar, bg, el, es, fi, hi_IN, hr, hu, ja, ko, lt, pt,
      pt_BR, ro, sl, zh_TW

  * Refresh remove-Check-New-Version.patch

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Jul 2023 17:59:20 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                desktop-file-utils,
                gettext,
                libcpputest-dev,

## cherrytree 1.0.1

=== debian/changelog ===
cherrytree (1.0.1-2) focal; urgency=low

  * fixed overwrite confirmation not working when saving as new multifile storage (#2333)
  * fixed crash on close (#2302)
  * fixed xorg crash / wayland warning caused by popup menus without a parent (#2328)
  * fixed paste content copied from column edit mode not working in codeboxes
  * highlight current text line to be disabled when the text loses focus or when the text is in column mode
  * reverted 'on windows, paste image from clipboard to take priority over html target ...' causing paste from spreadsheet cells generating a picture instead of a table
  * default keyboard shortcut for increase/decrease table column changed to Ctrl+Alt+> Ctrl+Alt+< as Ctrl+) isn't working on windows (#2336)
  * added new stock icon light bulb / internet of things IoT
  * added option 'recent_docs' in config.cfg to be set to false in order to not remember the recent documents (#2330)
  * incomplete languages: ar, el, fi, hi_IN, hr, ja, lt, pt


 -- Giuseppe Penone <giuspen@gmail.com>  Fri, 25 Aug 2023 15:22:25 +0100

## cherrytree 1.0.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.5)
 
 project(cherrytree)
 
@@ -51,7 +51,7 @@
 set(CPACK_PACKAGE_VENDOR ${CPACK_PACKAGE_CONTACT})
 set(CPACK_PACKAGE_VERSION ${CT_VERSION})
 set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A Hierarchical Note Taking Application, featuring Rich Text and Syntax Highlighting.")
-set(CPACK_PACKAGE_DESCRIPTION "A hierarchical note taking application, featuring rich text and syntax highlighting, storing data in a single xml or sqlite file.
+set(CPACK_PACKAGE_DESCRIPTION "A hierarchical note taking application, featuring rich text and syntax highlighting, storing data in either a single file (xml or sqlite) or multiple files and directories
    Cherrytree is not just about having a place to write notes and to-do items and keeping them organized, it's also a place you can store links, pictures, tables, even entire documents. It can be your one program for all the miscellaneous information you have and want to keep. All those little bits of information you have scattered around your hard drive can be conveniently placed into a Cherrytree document where you can easily find it.")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/license.txt")
 set(CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
cherrytree (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.2+dfsg (Closes: #1030720)
  * Update debian/copyright.
  * Remove unused license definitions for Expat.
  * Update standards version to 4.6.2, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andrius Merkys <merkys@debian.org>  Wed, 18 Oct 2023 01:39:36 -0400

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libcpputest-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfribidi-dev,
 libgspell-1-dev,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libspdlog-dev,
 libsqlite3-dev,
 libuchardet-dev,
 libvte-2.91-dev,
 libxml++2.6-dev,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends:
 desktop-file-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

## cherrytree 1.0.4+dfsg

=== debian/changelog ===
cherrytree (1.0.4+dfsg-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.4+dfsg
  * Specify -Wl,--as-needed linker flag.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Feb 2024 22:33:36 -0800

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               desktop-file-utils,
               gettext,
               libcpputest-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libfribidi-dev,
               libgspell-1-dev,
               libgtkmm-3.0-dev,
               libgtksourceviewmm-3.0-dev,
               libspdlog-dev,
               libsqlite3-dev,
               libuchardet-dev,
               libvte-2.91-dev,
               libxml++2.6-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends: desktop-file-utils, ${misc:Depends}, ${shlibs:Depends}
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,6 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:

## cherrytree 1.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
 set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 set(CPACK_DEBIAN_PACKAGE_RECOMMENDS "texlive-latex-base, dvipng")
 if(EXISTS "/etc/fedora-release")
-  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl-minimal, uchardet, fmt, spdlog")
+  set(CPACK_RPM_PACKAGE_REQUIRES "gtkmm30, gtksourceviewmm3, gspell, libxml++, libcurl, uchardet, fmt, spdlog")
   if(USE_VTE)
     set(CPACK_RPM_PACKAGE_REQUIRES "${CPACK_RPM_PACKAGE_REQUIRES}, vte291")
   endif()

=== src/7za/CMakeLists.txt ===

add_definitions(-DUSE_LIB7Z_DLL)
add_definitions(-D_FILE_OFFSET_BITS=64)
add_definitions(-D_LARGEFILE_SOURCE)
add_definitions(-D_REENTRANT)
add_definitions(-DBREAK_HANDLER)
add_definitions(-DUNICODE)
add_definitions(-D_UNICODE)
add_definitions(-DUNIX_USE_WIN_FILE)
add_definitions(-D_LIB_FOR_CHERRYTREE)

include_directories(
  SYSTEM ${GLIBMM_INCLUDE_DIRS}
  CPP/include_windows
  CPP/myWindows
  CPP
)

add_library(7za_static STATIC
  C/7zCrc.c
  C/7zCrcOpt.c
  C/7zStream.c
  C/Aes.c
  C/Alloc.c
  C/Bcj2.c
  C/Bcj2Enc.c
  C/Bra.c
  C/Bra86.c
  C/BraIA64.c
  C/BwtSort.c
  C/CpuArch.c
  C/Delta.c
  C/HuffEnc.c
  C/LzFind.c
  C/LzFindMt.c
  C/Lzma2Dec.c
  C/Lzma2Enc.c
  C/LzmaDec.c
  C/LzmaEnc.c
  C/MtCoder.c
  C/Ppmd7.c
  C/Ppmd7Dec.c
  C/Ppmd7Enc.c
  C/Ppmd8.c
  C/Ppmd8Dec.c
  C/Ppmd8Enc.c
  C/Sha1.c
  C/Sha256.c
  C/Sort.c
  C/Threads.c
  C/Xz.c
  C/XzCrc64.c
  C/XzCrc64Opt.c
  C/XzDec.c
  C/XzEnc.c
  C/XzIn.c
  CPP/7zip/Archive/7z/7zDecode.cpp
  CPP/7zip/Archive/7z/7zEncode.cpp
  CPP/7zip/Archive/7z/7zExtract.cpp
  CPP/7zip/Archive/7z/7zFolderInStream.cpp
  CPP/7zip/Archive/7z/7zHandler.cpp
  CPP/7zip/Archive/7z/7zHandlerOut.cpp
  CPP/7zip/Archive/7z/7zHeader.cpp
  CPP/7zip/Archive/7z/7zIn.cpp
  CPP/7zip/Archive/7z/7zOut.cpp
  CPP/7zip/Archive/7z/7zProperties.cpp
  CPP/7zip/Archive/7z/7zRegister.cpp
  CPP/7zip/Archive/7z/7zSpecStream.cpp
  CPP/7zip/Archive/7z/7zUpdate.cpp
  CPP/7zip/Archive/Bz2Handler.cpp
  CPP/7zip/Archive/Cab/CabBlockInStream.cpp
  CPP/7zip/Archive/Cab/CabHandler.cpp
  CPP/7zip/Archive/Cab/CabHeader.cpp
  CPP/7zip/Archive/Cab/CabIn.cpp
  CPP/7zip/Archive/Cab/CabRegister.cpp
  CPP/7zip/Archive/Common/CoderMixer2.cpp
  CPP/7zip/Archive/Common/DummyOutStream.cpp
  CPP/7zip/Archive/Common/FindSignature.cpp
  CPP/7zip/Archive/Common/HandlerOut.cpp
  CPP/7zip/Archive/Common/InStreamWithCRC.cpp
  CPP/7zip/Archive/Common/ItemNameUtils.cpp
  CPP/7zip/Archive/Common/MultiStream.cpp
  CPP/7zip/Archive/Common/OutStreamWithCRC.cpp
  CPP/7zip/Archive/GzHandler.cpp
  CPP/7zip/Archive/LzmaHandler.cpp
  CPP/7zip/Archive/PpmdHandler.cpp
  CPP/7zip/Archive/SplitHandler.cpp
  CPP/7zip/Archive/Tar/TarHandler.cpp
  CPP/7zip/Archive/Tar/TarHandlerOut.cpp
  CPP/7zip/Archive/Tar/TarHeader.cpp
  CPP/7zip/Archive/Tar/TarIn.cpp
  CPP/7zip/Archive/Tar/TarOut.cpp
  CPP/7zip/Archive/Tar/TarRegister.cpp
  CPP/7zip/Archive/Tar/TarUpdate.cpp
  CPP/7zip/Archive/XzHandler.cpp
  CPP/7zip/Archive/ZHandler.cpp
  CPP/7zip/Archive/Zip/ZipAddCommon.cpp
  CPP/7zip/Archive/Zip/ZipHandler.cpp
  CPP/7zip/Archive/Zip/ZipHandlerOut.cpp
  CPP/7zip/Archive/Zip/ZipIn.cpp
  CPP/7zip/Archive/Zip/ZipItem.cpp
  CPP/7zip/Archive/Zip/ZipOut.cpp
  CPP/7zip/Archive/Zip/ZipRegister.cpp
  CPP/7zip/Archive/Zip/ZipUpdate.cpp
  CPP/7zip/Common/CWrappers.cpp
  CPP/7zip/Common/CreateCoder.cpp
  CPP/7zip/Common/FilePathAutoRename.cpp
  CPP/7zip/Common/FileStreams.cpp
  CPP/7zip/Common/FilterCoder.cpp
  CPP/7zip/Common/InBuffer.cpp
  CPP/7zip/Common/InOutTempBuffer.cpp
  CPP/7zip/Common/LimitedStreams.cpp
  CPP/7zip/Common/MemBlocks.cpp
  CPP/7zip/Common/MethodProps.cpp
  CPP/7zip/Common/OffsetStream.cpp
  CPP/7zip/Common/OutBuffer.cpp
  CPP/7zip/Common/OutMemStream.cpp
  CPP/7zip/Common/ProgressMt.cpp
  CPP/7zip/Common/ProgressUtils.cpp
  CPP/7zip/Common/PropId.cpp
  CPP/7zip/Common/StreamBinder.cpp
  CPP/7zip/Common/StreamObjects.cpp
  CPP/7zip/Common/StreamUtils.cpp
  CPP/7zip/Common/UniqBlocks.cpp
  CPP/7zip/Common/VirtThread.cpp
  CPP/7zip/Compress/BZip2Crc.cpp
  CPP/7zip/Compress/BZip2Decoder.cpp
  CPP/7zip/Compress/BZip2Encoder.cpp
  CPP/7zip/Compress/BZip2Register.cpp
  CPP/7zip/Compress/Bcj2Coder.cpp
  CPP/7zip/Compress/Bcj2Register.cpp
  CPP/7zip/Compress/BcjCoder.cpp
  CPP/7zip/Compress/BcjRegister.cpp
  CPP/7zip/Compress/BitlDecoder.cpp
  CPP/7zip/Compress/BranchMisc.cpp
  CPP/7zip/Compress/BranchRegister.cpp
  CPP/7zip/Compress/ByteSwap.cpp
  CPP/7zip/Compress/CopyCoder.cpp
  CPP/7zip/Compress/CopyRegister.cpp
  CPP/7zip/Compress/Deflate64Register.cpp
  CPP/7zip/Compress/DeflateDecoder.cpp
  CPP/7zip/Compress/DeflateEncoder.cpp
  CPP/7zip/Compress/DeflateRegister.cpp
  CPP/7zip/Compress/DeltaFilter.cpp
  CPP/7zip/Compress/ImplodeDecoder.cpp
  CPP/7zip/Compress/ImplodeHuffmanDecoder.cpp
  CPP/7zip/Compress/LzOutWindow.cpp
  CPP/7zip/Compress/Lzma2Decoder.cpp
  CPP/7zip/Compress/Lzma2Encoder.cpp
  CPP/7zip/Compress/Lzma2Register.cpp
  CPP/7zip/Compress/LzmaDecoder.cpp
  CPP/7zip/Compress/LzmaEncoder.cpp
  CPP/7zip/Compress/LzmaRegister.cpp
  CPP/7zip/Compress/LzxDecoder.cpp
  CPP/7zip/Compress/PpmdDecoder.cpp
  CPP/7zip/Compress/PpmdEncoder.cpp
  CPP/7zip/Compress/PpmdRegister.cpp
  CPP/7zip/Compress/PpmdZip.cpp
  CPP/7zip/Compress/QuantumDecoder.cpp
  CPP/7zip/Compress/ShrinkDecoder.cpp
  CPP/7zip/Compress/ZDecoder.cpp
  CPP/7zip/Crypto/7zAes.cpp
  CPP/7zip/Crypto/7zAesRegister.cpp
  CPP/7zip/Crypto/HmacSha1.cpp
  CPP/7zip/Crypto/MyAes.cpp
  CPP/7zip/Crypto/MyAesReg.cpp
  CPP/7zip/Crypto/Pbkdf2HmacSha1.cpp
  CPP/7zip/Crypto/RandGen.cpp
  CPP/7zip/Crypto/WzAes.cpp
  CPP/7zip/Crypto/ZipCrypto.cpp
  CPP/7zip/Crypto/ZipStrong.cpp
  CPP/7zip/UI/Common/ArchiveCommandLine.cpp
  CPP/7zip/UI/Common/ArchiveExtractCallback.cpp
  CPP/7zip/UI/Common/ArchiveOpenCallback.cpp
  CPP/7zip/UI/Common/Bench.cpp
  CPP/7zip/UI/Common/DefaultName.cpp
  CPP/7zip/UI/Common/EnumDirItems.cpp
  CPP/7zip/UI/Common/Extract.cpp
  CPP/7zip/UI/Common/ExtractingFilePath.cpp
  CPP/7zip/UI/Common/HashCalc.cpp
  CPP/7zip/UI/Common/LoadCodecs.cpp
  CPP/7zip/UI/Common/OpenArchive.cpp
  CPP/7zip/UI/Common/PropIDUtils.cpp
  CPP/7zip/UI/Common/SetProperties.cpp
  CPP/7zip/UI/Common/SortUtils.cpp
  CPP/7zip/UI/Common/TempFiles.cpp
  CPP/7zip/UI/Common/Update.cpp
  CPP/7zip/UI/Common/UpdateAction.cpp
  CPP/7zip/UI/Common/UpdateCallback.cpp
  CPP/7zip/UI/Common/UpdatePair.cpp
  CPP/7zip/UI/Common/UpdateProduce.cpp
  CPP/7zip/UI/Console/BenchCon.cpp
  CPP/7zip/UI/Console/ConsoleClose.cpp
  CPP/7zip/UI/Console/ExtractCallbackConsole.cpp
  CPP/7zip/UI/Console/HashCon.cpp
  CPP/7zip/UI/Console/List.cpp
  CPP/7zip/UI/Console/Main.cpp
  CPP/7zip/UI/Console/MainAr.cpp
  CPP/7zip/UI/Console/OpenCallbackConsole.cpp
  CPP/7zip/UI/Console/PercentPrinter.cpp
  CPP/7zip/UI/Console/UpdateCallbackConsole.cpp
  CPP/Common/CRC.cpp
  CPP/Common/CommandLineParser.cpp
  CPP/Common/CrcReg.cpp
  CPP/Common/IntToString.cpp
  CPP/Common/ListFileUtils.cpp
  CPP/Common/MyString.cpp
  CPP/Common/MyWindows.cpp
  CPP/Common/Sha1Reg.cpp
  CPP/Common/Sha256Reg.cpp
  CPP/Common/StdInStream.cpp
  CPP/Common/StdOutStream.cpp
  CPP/Common/StringConvert.cpp
  CPP/Common/StringToInt.cpp
  CPP/Common/UTFConvert.cpp
  CPP/Common/Wildcard.cpp
  CPP/Common/XzCrc64Reg.cpp
  CPP/Windows/ErrorMsg.cpp
  CPP/Windows/FileDir.cpp
  CPP/Windows/FileFind.cpp
  CPP/Windows/FileIO.cpp
  CPP/Windows/FileName.cpp
  CPP/Windows/PropVariant.cpp
  CPP/Windows/PropVariantConv.cpp
  CPP/Windows/Synchronization.cpp
  CPP/Windows/System.cpp
  CPP/Windows/TimeUtils.cpp
  CPP/myWindows/myAddExeFlag.cpp
  CPP/myWindows/mySplitCommandLine.cpp
  CPP/myWindows/wine_date_and_time.cpp
)

target_link_libraries(7za_static
  ${GLIBMM_LIBRARIES}
)

=== src/ct/CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
   ct_storage_control.cc
   ct_storage_sqlite.cc
   ct_storage_xml.cc
+  ct_storage_multifile.cc
   ct_table.cc
   ct_table_light.cc
   ct_treestore.cc

=== debian/changelog ===
cherrytree (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.2+dfsg
  * New upstream version 1.1.1+dfsg
  * Simply copyright rule so that one line matches both files.

 -- Patrick Winnertz <winnie@debian.org>  Thu, 18 Apr 2024 20:25:26 +0200

cherrytree (1.1.0+dfsg-1) unstable; urgency=medium

  * Take over the maintainership (Closes: #1003512)
  * Update the copyright to 2024
  * Add a lintian override for the test.export.html which
    is created out of a cherrytree test
  * Add a short explanation to the skip googeltest patch
  * Add a CI/CD pipeline stolen from gr-satellites
  * Remove the old pytgk2 implementation from dfsg tarball
  * New upstream version 1.1.0+dfsg
  * Change maintainer address

 -- Patrick Winnertz <winnie@debian.org>  Wed, 27 Mar 2024 10:51:11 +0100

=== debian/control ===
Source: cherrytree
Section: editors
Priority: optional
Maintainer: Patrick Winnertz <winnie@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libcpputest-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfribidi-dev,
 libgspell-1-dev,
 libgtkmm-3.0-dev,
 libgtksourceviewmm-3.0-dev,
 libspdlog-dev,
 libsqlite3-dev,
 libuchardet-dev,
 libvte-2.91-dev,
 libxml++2.6-dev,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://www.giuspen.net/cherrytree/
Vcs-Git: https://salsa.debian.org/debian/cherrytree.git
Vcs-Browser: https://salsa.debian.org/debian/cherrytree
Rules-Requires-Root: no

Package: cherrytree
Architecture: any
Depends:
 desktop-file-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: hierarchical note taking application
 CherryTree is a hierarchical note taking application, featuring rich text,
 syntax highlighting, images handling, hyperlinks, import/export with support
 for multiple formats, support for multiple languages, and more.

## cherrytree 1.2.0

=== debian/changelog ===
cherrytree (1.2.0-2) focal; urgency=low

  * dropped unmaintained and outdated libgtksourceviewmm3 for libgtksourceview4 (direct access to C API, #2562)
  * implemented quick node selection typing part of the node name, default keyboard shortcut to Ctrl+Shift+G (#2552, work of @ericguin)
  * implemented collapsible headers support when TOC is generated (#2389)
  * fixed links to nodes not working when exporting to html, single file (#2570)
  * fixed properties of fonts selected in the preferences dialog not enforced: bold, italic, stretch, variant (#2533)
  * hyperlinks: do not automatically add the prefix http:// when a URL-like prefix already exists (#2570)
  * fixed crash pressing Ctrl+Z while editing table light cell
  * changed default keyboard shortcut to open codebox properties dialog to Shift+Alt+U as the previous shortcut was causing problems to german layout keyboards (#2549)
  * fixed formatting issues with fmt 11 (#2548, #2560)
  * added support for new language Slovak (work of Michal Fusatý)
  * incomplete languages: ar, el, fa, fi, hi_IN, hr, kk_KZ, kk_LA, pt_BR, ru, zh_CN


 -- Giuseppe Penone <giuspen@gmail.com>  Fri, 04 Oct 2024 16:24:58 +0100

## cherrytree 1.2.0%2Bdfsg

=== debian/changelog ===
cherrytree (1.2.0+dfsg-1build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:20:19 +0100

cherrytree (1.2.0+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:41 +0200

cherrytree (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.2.0+dfsg
  * Remove dependency on gtksourceview3 and use gtksourceview4 (Closes: #1079436)
  * Update copyright information and add 2025
  * Remove superfluous files from copyright
  * Refresh the patch to remove the version check

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 22:10:15 +0100
